#!/usr/bin/env python
import unittest
import sys
from pathlib import Path

import emod_api.campaign as camp
import emodpy_hiv.interventions.outbreak as ob

parent = Path(__file__).resolve().parent
sys.path.append(str(parent))
import schema_path_file


class HIVInterventionTest(unittest.TestCase):
    schema_path = schema_path_file.schema_path

    # region unittest setup and teardown method
    @classmethod
    def setUpClass(cls):
        camp.schema_path = cls.schema_path

    def setUp(self):
        print(f"running {self._testMethodName}:")
        pass

    def tearDown(self):
        print("end of test\n")
        pass
    # endregion

    # region unittests
    def test_outbreak_new_intervention(self):
        timestep = 365
        coverage = 0.05
        event = ob.new_intervention(timestep=timestep, camp=camp, coverage=coverage)
        self.assertEqual(event.Start_Day, timestep)
        self.assertEqual(event.Event_Coordinator_Config.Intervention_Config['class'], 'OutbreakIndividual')
        self.assertEqual(event.Event_Coordinator_Config.Demographic_Coverage, coverage)
    # endregion


if __name__ == '__main__':
    unittest.main()

